class Sykdom:
    def __init__(self, navn):
        self._navn = navn
        self._posisjoner = []
        self._antall_treff = 0

    def legg_til_posisjon(self, posisjon):
        self._posisjoner.append(posisjon)

    def er_assosiert(self, posisjon):
        return posisjon in self._posisjoner

    def hent_navn(self):
        return self._navn

    def sjekk_mutasjon(self, posisjon):
        if self.er_assosiert(posisjon):
            self._antall_treff += 1

    def hent_antall_treff(self):
        return self._antall_treff
