from Sykdom import Sykdom

class SykdomsKatalog:
    def __init__(self, filnavn):
        self._sykdommer = {}
        self._les_fil(filnavn)

    def sjekk_mutasjon(self, posisjon):
        for sykdoms_navn in self._sykdommer:
            sykdom = self._sykdommer[sykdoms_navn]
            sykdom.sjekk_mutasjon(posisjon)

    def skriv_sykdoms_treff(self):
        for sykdoms_navn in self._sykdommer:
            sykdom = self._sykdommer[sykdoms_navn]
            print(sykdoms_navn, sykdom.hent_antall_treff())

    def _les_fil(self, filnavn):
        for linje in open(filnavn):
            biter = linje.split(",")
            posisjon = int(biter[0])
            sykdoms_navn = biter[1].strip()

            if not sykdoms_navn in self._sykdommer:
                self._sykdommer[sykdoms_navn] = Sykdom(sykdoms_navn)

            sykdom = self._sykdommer[sykdoms_navn]
            sykdom.legg_til_posisjon(posisjon)
